// Code generated by protoc-gen-go. DO NOT EDIT.
// source: smith_query.proto

package pb

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type SmithCheckRequest struct {
	Hash                 string   `protobuf:"bytes,1,opt,name=Hash,proto3" json:"Hash,omitempty"`
	MyAddress            string   `protobuf:"bytes,2,opt,name=MyAddress,proto3" json:"MyAddress,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SmithCheckRequest) Reset()         { *m = SmithCheckRequest{} }
func (m *SmithCheckRequest) String() string { return proto.CompactTextString(m) }
func (*SmithCheckRequest) ProtoMessage()    {}
func (*SmithCheckRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_205dc0d804df3bf2, []int{0}
}

func (m *SmithCheckRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SmithCheckRequest.Unmarshal(m, b)
}
func (m *SmithCheckRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SmithCheckRequest.Marshal(b, m, deterministic)
}
func (m *SmithCheckRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SmithCheckRequest.Merge(m, src)
}
func (m *SmithCheckRequest) XXX_Size() int {
	return xxx_messageInfo_SmithCheckRequest.Size(m)
}
func (m *SmithCheckRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SmithCheckRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SmithCheckRequest proto.InternalMessageInfo

func (m *SmithCheckRequest) GetHash() string {
	if m != nil {
		return m.Hash
	}
	return ""
}

func (m *SmithCheckRequest) GetMyAddress() string {
	if m != nil {
		return m.MyAddress
	}
	return ""
}

type SmithCheckResponse struct {
	Status               string   `protobuf:"bytes,1,opt,name=Status,proto3" json:"Status,omitempty"`
	Message              string   `protobuf:"bytes,2,opt,name=Message,proto3" json:"Message,omitempty"`
	YouWon               bool     `protobuf:"varint,3,opt,name=YouWon,proto3" json:"YouWon,omitempty"`
	PublicSignature      string   `protobuf:"bytes,4,opt,name=PublicSignature,proto3" json:"PublicSignature,omitempty"`
	Signature            string   `protobuf:"bytes,5,opt,name=Signature,proto3" json:"Signature,omitempty"`
	Blocks               string   `protobuf:"bytes,6,opt,name=Blocks,proto3" json:"Blocks,omitempty"`
	Epoch                string   `protobuf:"bytes,7,opt,name=Epoch,proto3" json:"Epoch,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SmithCheckResponse) Reset()         { *m = SmithCheckResponse{} }
func (m *SmithCheckResponse) String() string { return proto.CompactTextString(m) }
func (*SmithCheckResponse) ProtoMessage()    {}
func (*SmithCheckResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_205dc0d804df3bf2, []int{1}
}

func (m *SmithCheckResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SmithCheckResponse.Unmarshal(m, b)
}
func (m *SmithCheckResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SmithCheckResponse.Marshal(b, m, deterministic)
}
func (m *SmithCheckResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SmithCheckResponse.Merge(m, src)
}
func (m *SmithCheckResponse) XXX_Size() int {
	return xxx_messageInfo_SmithCheckResponse.Size(m)
}
func (m *SmithCheckResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SmithCheckResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SmithCheckResponse proto.InternalMessageInfo

func (m *SmithCheckResponse) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *SmithCheckResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *SmithCheckResponse) GetYouWon() bool {
	if m != nil {
		return m.YouWon
	}
	return false
}

func (m *SmithCheckResponse) GetPublicSignature() string {
	if m != nil {
		return m.PublicSignature
	}
	return ""
}

func (m *SmithCheckResponse) GetSignature() string {
	if m != nil {
		return m.Signature
	}
	return ""
}

func (m *SmithCheckResponse) GetBlocks() string {
	if m != nil {
		return m.Blocks
	}
	return ""
}

func (m *SmithCheckResponse) GetEpoch() string {
	if m != nil {
		return m.Epoch
	}
	return ""
}

type SmithAllRequest struct {
	Page                 int64    `protobuf:"varint,1,opt,name=Page,proto3" json:"Page,omitempty"`
	Size                 int64    `protobuf:"varint,2,opt,name=Size,proto3" json:"Size,omitempty"`
	ChainId              string   `protobuf:"bytes,3,opt,name=ChainId,proto3" json:"ChainId,omitempty"`
	HashBlockchain       string   `protobuf:"bytes,4,opt,name=HashBlockchain,proto3" json:"HashBlockchain,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SmithAllRequest) Reset()         { *m = SmithAllRequest{} }
func (m *SmithAllRequest) String() string { return proto.CompactTextString(m) }
func (*SmithAllRequest) ProtoMessage()    {}
func (*SmithAllRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_205dc0d804df3bf2, []int{2}
}

func (m *SmithAllRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SmithAllRequest.Unmarshal(m, b)
}
func (m *SmithAllRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SmithAllRequest.Marshal(b, m, deterministic)
}
func (m *SmithAllRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SmithAllRequest.Merge(m, src)
}
func (m *SmithAllRequest) XXX_Size() int {
	return xxx_messageInfo_SmithAllRequest.Size(m)
}
func (m *SmithAllRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SmithAllRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SmithAllRequest proto.InternalMessageInfo

func (m *SmithAllRequest) GetPage() int64 {
	if m != nil {
		return m.Page
	}
	return 0
}

func (m *SmithAllRequest) GetSize() int64 {
	if m != nil {
		return m.Size
	}
	return 0
}

func (m *SmithAllRequest) GetChainId() string {
	if m != nil {
		return m.ChainId
	}
	return ""
}

func (m *SmithAllRequest) GetHashBlockchain() string {
	if m != nil {
		return m.HashBlockchain
	}
	return ""
}

type SmithResponse struct {
	Hash                 string   `protobuf:"bytes,1,opt,name=Hash,proto3" json:"Hash,omitempty"`
	ChainID              string   `protobuf:"bytes,2,opt,name=ChainID,proto3" json:"ChainID,omitempty"`
	HashBlockchain       string   `protobuf:"bytes,3,opt,name=HashBlockchain,proto3" json:"HashBlockchain,omitempty"`
	MyAddress            string   `protobuf:"bytes,4,opt,name=MyAddress,proto3" json:"MyAddress,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SmithResponse) Reset()         { *m = SmithResponse{} }
func (m *SmithResponse) String() string { return proto.CompactTextString(m) }
func (*SmithResponse) ProtoMessage()    {}
func (*SmithResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_205dc0d804df3bf2, []int{3}
}

func (m *SmithResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SmithResponse.Unmarshal(m, b)
}
func (m *SmithResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SmithResponse.Marshal(b, m, deterministic)
}
func (m *SmithResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SmithResponse.Merge(m, src)
}
func (m *SmithResponse) XXX_Size() int {
	return xxx_messageInfo_SmithResponse.Size(m)
}
func (m *SmithResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SmithResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SmithResponse proto.InternalMessageInfo

func (m *SmithResponse) GetHash() string {
	if m != nil {
		return m.Hash
	}
	return ""
}

func (m *SmithResponse) GetChainID() string {
	if m != nil {
		return m.ChainID
	}
	return ""
}

func (m *SmithResponse) GetHashBlockchain() string {
	if m != nil {
		return m.HashBlockchain
	}
	return ""
}

func (m *SmithResponse) GetMyAddress() string {
	if m != nil {
		return m.MyAddress
	}
	return ""
}

type SmithAllReponse struct {
	Smiths               []*SmithResponse `protobuf:"bytes,1,rep,name=Smiths,proto3" json:"Smiths,omitempty"`
	Next                 int64            `protobuf:"varint,2,opt,name=Next,proto3" json:"Next,omitempty"`
	Page                 int64            `protobuf:"varint,3,opt,name=Page,proto3" json:"Page,omitempty"`
	Prev                 int64            `protobuf:"varint,4,opt,name=Prev,proto3" json:"Prev,omitempty"`
	Total                int64            `protobuf:"varint,5,opt,name=Total,proto3" json:"Total,omitempty"`
	PerPage              int64            `protobuf:"varint,6,opt,name=PerPage,proto3" json:"PerPage,omitempty"`
	TotalPage            int64            `protobuf:"varint,7,opt,name=TotalPage,proto3" json:"TotalPage,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *SmithAllReponse) Reset()         { *m = SmithAllReponse{} }
func (m *SmithAllReponse) String() string { return proto.CompactTextString(m) }
func (*SmithAllReponse) ProtoMessage()    {}
func (*SmithAllReponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_205dc0d804df3bf2, []int{4}
}

func (m *SmithAllReponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SmithAllReponse.Unmarshal(m, b)
}
func (m *SmithAllReponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SmithAllReponse.Marshal(b, m, deterministic)
}
func (m *SmithAllReponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SmithAllReponse.Merge(m, src)
}
func (m *SmithAllReponse) XXX_Size() int {
	return xxx_messageInfo_SmithAllReponse.Size(m)
}
func (m *SmithAllReponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SmithAllReponse.DiscardUnknown(m)
}

var xxx_messageInfo_SmithAllReponse proto.InternalMessageInfo

func (m *SmithAllReponse) GetSmiths() []*SmithResponse {
	if m != nil {
		return m.Smiths
	}
	return nil
}

func (m *SmithAllReponse) GetNext() int64 {
	if m != nil {
		return m.Next
	}
	return 0
}

func (m *SmithAllReponse) GetPage() int64 {
	if m != nil {
		return m.Page
	}
	return 0
}

func (m *SmithAllReponse) GetPrev() int64 {
	if m != nil {
		return m.Prev
	}
	return 0
}

func (m *SmithAllReponse) GetTotal() int64 {
	if m != nil {
		return m.Total
	}
	return 0
}

func (m *SmithAllReponse) GetPerPage() int64 {
	if m != nil {
		return m.PerPage
	}
	return 0
}

func (m *SmithAllReponse) GetTotalPage() int64 {
	if m != nil {
		return m.TotalPage
	}
	return 0
}

type SmithBalanceResponse struct {
	Balance              string   `protobuf:"bytes,1,opt,name=Balance,proto3" json:"Balance,omitempty"`
	Status               string   `protobuf:"bytes,2,opt,name=Status,proto3" json:"Status,omitempty"`
	Message              string   `protobuf:"bytes,3,opt,name=Message,proto3" json:"Message,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SmithBalanceResponse) Reset()         { *m = SmithBalanceResponse{} }
func (m *SmithBalanceResponse) String() string { return proto.CompactTextString(m) }
func (*SmithBalanceResponse) ProtoMessage()    {}
func (*SmithBalanceResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_205dc0d804df3bf2, []int{5}
}

func (m *SmithBalanceResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SmithBalanceResponse.Unmarshal(m, b)
}
func (m *SmithBalanceResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SmithBalanceResponse.Marshal(b, m, deterministic)
}
func (m *SmithBalanceResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SmithBalanceResponse.Merge(m, src)
}
func (m *SmithBalanceResponse) XXX_Size() int {
	return xxx_messageInfo_SmithBalanceResponse.Size(m)
}
func (m *SmithBalanceResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SmithBalanceResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SmithBalanceResponse proto.InternalMessageInfo

func (m *SmithBalanceResponse) GetBalance() string {
	if m != nil {
		return m.Balance
	}
	return ""
}

func (m *SmithBalanceResponse) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *SmithBalanceResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func init() {
	proto.RegisterType((*SmithCheckRequest)(nil), "SmithCheckRequest")
	proto.RegisterType((*SmithCheckResponse)(nil), "SmithCheckResponse")
	proto.RegisterType((*SmithAllRequest)(nil), "SmithAllRequest")
	proto.RegisterType((*SmithResponse)(nil), "SmithResponse")
	proto.RegisterType((*SmithAllReponse)(nil), "SmithAllReponse")
	proto.RegisterType((*SmithBalanceResponse)(nil), "SmithBalanceResponse")
}

func init() {
	proto.RegisterFile("smith_query.proto", fileDescriptor_205dc0d804df3bf2)
}

var fileDescriptor_205dc0d804df3bf2 = []byte{
	// 498 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x74, 0x54, 0xc1, 0x6e, 0xd3, 0x40,
	0x10, 0x8d, 0xe3, 0xd4, 0x26, 0x13, 0xd1, 0xd2, 0xa5, 0x54, 0x56, 0xc5, 0xa1, 0xf2, 0xa1, 0xca,
	0xc9, 0x48, 0xe5, 0x02, 0xc7, 0xa4, 0x14, 0xe8, 0xa1, 0x28, 0x38, 0x48, 0x15, 0x5c, 0x90, 0xe3,
	0x8c, 0x6a, 0xab, 0xc6, 0x4e, 0x77, 0xd7, 0x15, 0x85, 0x23, 0x9f, 0xc4, 0x27, 0xf0, 0x0b, 0x7c,
	0x10, 0x9a, 0xf1, 0x3a, 0x71, 0x5c, 0x73, 0xdb, 0xf7, 0xc6, 0xbb, 0xf3, 0xde, 0x9b, 0x5d, 0xc3,
	0xbe, 0xfa, 0x96, 0xea, 0xe4, 0xeb, 0x6d, 0x89, 0xf2, 0x3e, 0x58, 0xc9, 0x42, 0x17, 0xfe, 0x39,
	0xec, 0xcf, 0x89, 0x3c, 0x4b, 0x30, 0xbe, 0x09, 0xf1, 0xb6, 0x44, 0xa5, 0x85, 0x80, 0xc1, 0xfb,
	0x48, 0x25, 0x9e, 0x75, 0x6c, 0x8d, 0x87, 0x21, 0xaf, 0xc5, 0x73, 0x18, 0x5e, 0xde, 0x4f, 0x96,
	0x4b, 0x89, 0x4a, 0x79, 0x7d, 0x2e, 0x6c, 0x08, 0xff, 0xaf, 0x05, 0xa2, 0x79, 0x8e, 0x5a, 0x15,
	0xb9, 0x42, 0x71, 0x08, 0xce, 0x5c, 0x47, 0xba, 0x54, 0xe6, 0x28, 0x83, 0x84, 0x07, 0xee, 0x25,
	0x2a, 0x15, 0x5d, 0xa3, 0x39, 0xaa, 0x86, 0xb4, 0xe3, 0x73, 0x51, 0x5e, 0x15, 0xb9, 0x67, 0x1f,
	0x5b, 0xe3, 0x47, 0xa1, 0x41, 0x62, 0x0c, 0x7b, 0xb3, 0x72, 0x91, 0xa5, 0xf1, 0x3c, 0xbd, 0xce,
	0x23, 0x5d, 0x4a, 0xf4, 0x06, 0xbc, 0xb3, 0x4d, 0x93, 0xd0, 0xcd, 0x37, 0x3b, 0x95, 0xd0, 0x4d,
	0xf5, 0x10, 0x9c, 0x69, 0x56, 0xc4, 0x37, 0xca, 0x73, 0x2a, 0x45, 0x15, 0x12, 0x07, 0xb0, 0x73,
	0xbe, 0x2a, 0xe2, 0xc4, 0x73, 0x99, 0xae, 0x80, 0xff, 0x13, 0xf6, 0xd8, 0xd5, 0x24, 0xcb, 0x1a,
	0xd9, 0xcc, 0x48, 0x37, 0x19, 0xb2, 0x43, 0x5e, 0x13, 0x37, 0x4f, 0x7f, 0x54, 0x5e, 0xec, 0x90,
	0xd7, 0x64, 0xf1, 0x2c, 0x89, 0xd2, 0xfc, 0x62, 0xc9, 0x4e, 0x86, 0x61, 0x0d, 0xc5, 0x09, 0xec,
	0x52, 0xa2, 0xdc, 0x38, 0x26, 0xce, 0x38, 0x69, 0xb1, 0xfe, 0x2f, 0x0b, 0x1e, 0x73, 0xf7, 0x75,
	0x9c, 0x5d, 0x73, 0x59, 0xf7, 0x79, 0x53, 0x47, 0x69, 0x60, 0x47, 0x1f, 0xbb, 0xab, 0xcf, 0xf6,
	0x64, 0x07, 0xed, 0xc9, 0xfe, 0xb1, 0x9a, 0x19, 0x54, 0x3a, 0x4e, 0xc0, 0x61, 0x8a, 0xc6, 0x6a,
	0x8f, 0x47, 0xa7, 0xbb, 0xc1, 0x96, 0xce, 0xd0, 0x54, 0x49, 0xef, 0x07, 0xfc, 0xae, 0xeb, 0x5c,
	0x68, 0xbd, 0xce, 0xcf, 0xde, 0xce, 0x6f, 0x26, 0xf1, 0x8e, 0x9b, 0x13, 0x27, 0xf1, 0x8e, 0x06,
	0xf2, 0xa9, 0xd0, 0x51, 0xc6, 0x23, 0xb4, 0xc3, 0x0a, 0x90, 0xdb, 0x19, 0x4a, 0x3e, 0xc0, 0x61,
	0xbe, 0x86, 0xe4, 0x82, 0x3f, 0xe1, 0x9a, 0xcb, 0xb5, 0x0d, 0xe1, 0x2f, 0xe0, 0x80, 0x35, 0x4d,
	0xa3, 0x2c, 0xca, 0x63, 0x5c, 0x27, 0xea, 0x81, 0x6b, 0x28, 0x13, 0x6a, 0x0d, 0x1b, 0x57, 0xb7,
	0xff, 0xbf, 0xab, 0x6b, 0x6f, 0x5d, 0xdd, 0xd3, 0xdf, 0x16, 0x8c, 0x2e, 0xb8, 0xcb, 0x47, 0x7a,
	0x60, 0xe2, 0x05, 0xb8, 0x6f, 0xd3, 0x7c, 0x39, 0xc9, 0x32, 0xf1, 0x24, 0x68, 0x5d, 0xa3, 0xa3,
	0x26, 0xc3, 0x52, 0xfc, 0x9e, 0x78, 0x05, 0x23, 0x7e, 0x3e, 0x57, 0x69, 0x9e, 0xa3, 0x14, 0x22,
	0x78, 0xf0, 0x32, 0x8f, 0x9e, 0x06, 0x0f, 0x5f, 0x99, 0xdf, 0x13, 0xaf, 0x01, 0xde, 0xa1, 0xae,
	0xa5, 0x77, 0x6d, 0x7c, 0x16, 0x74, 0xf9, 0xf7, 0x7b, 0xd3, 0xc1, 0x97, 0xfe, 0x6a, 0xb1, 0x70,
	0xf8, 0x6f, 0xf0, 0xf2, 0x5f, 0x00, 0x00, 0x00, 0xff, 0xff, 0xc1, 0xe7, 0x03, 0xc3, 0x22, 0x04,
	0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// ISmithQueryClient is the client API for ISmithQuery service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type ISmithQueryClient interface {
	FindAll(ctx context.Context, in *SmithAllRequest, opts ...grpc.CallOption) (*SmithAllReponse, error)
	CheckWinner(ctx context.Context, in *SmithCheckRequest, opts ...grpc.CallOption) (*SmithCheckResponse, error)
	GetBalance(ctx context.Context, in *SmithCheckRequest, opts ...grpc.CallOption) (*SmithBalanceResponse, error)
}

type iSmithQueryClient struct {
	cc grpc.ClientConnInterface
}

func NewISmithQueryClient(cc grpc.ClientConnInterface) ISmithQueryClient {
	return &iSmithQueryClient{cc}
}

func (c *iSmithQueryClient) FindAll(ctx context.Context, in *SmithAllRequest, opts ...grpc.CallOption) (*SmithAllReponse, error) {
	out := new(SmithAllReponse)
	err := c.cc.Invoke(ctx, "/ISmithQuery/FindAll", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iSmithQueryClient) CheckWinner(ctx context.Context, in *SmithCheckRequest, opts ...grpc.CallOption) (*SmithCheckResponse, error) {
	out := new(SmithCheckResponse)
	err := c.cc.Invoke(ctx, "/ISmithQuery/CheckWinner", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iSmithQueryClient) GetBalance(ctx context.Context, in *SmithCheckRequest, opts ...grpc.CallOption) (*SmithBalanceResponse, error) {
	out := new(SmithBalanceResponse)
	err := c.cc.Invoke(ctx, "/ISmithQuery/GetBalance", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ISmithQueryServer is the server API for ISmithQuery service.
type ISmithQueryServer interface {
	FindAll(context.Context, *SmithAllRequest) (*SmithAllReponse, error)
	CheckWinner(context.Context, *SmithCheckRequest) (*SmithCheckResponse, error)
	GetBalance(context.Context, *SmithCheckRequest) (*SmithBalanceResponse, error)
}

// UnimplementedISmithQueryServer can be embedded to have forward compatible implementations.
type UnimplementedISmithQueryServer struct {
}

func (*UnimplementedISmithQueryServer) FindAll(ctx context.Context, req *SmithAllRequest) (*SmithAllReponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FindAll not implemented")
}
func (*UnimplementedISmithQueryServer) CheckWinner(ctx context.Context, req *SmithCheckRequest) (*SmithCheckResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CheckWinner not implemented")
}
func (*UnimplementedISmithQueryServer) GetBalance(ctx context.Context, req *SmithCheckRequest) (*SmithBalanceResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetBalance not implemented")
}

func RegisterISmithQueryServer(s *grpc.Server, srv ISmithQueryServer) {
	s.RegisterService(&_ISmithQuery_serviceDesc, srv)
}

func _ISmithQuery_FindAll_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SmithAllRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ISmithQueryServer).FindAll(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ISmithQuery/FindAll",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ISmithQueryServer).FindAll(ctx, req.(*SmithAllRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ISmithQuery_CheckWinner_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SmithCheckRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ISmithQueryServer).CheckWinner(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ISmithQuery/CheckWinner",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ISmithQueryServer).CheckWinner(ctx, req.(*SmithCheckRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ISmithQuery_GetBalance_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SmithCheckRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ISmithQueryServer).GetBalance(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ISmithQuery/GetBalance",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ISmithQueryServer).GetBalance(ctx, req.(*SmithCheckRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _ISmithQuery_serviceDesc = grpc.ServiceDesc{
	ServiceName: "ISmithQuery",
	HandlerType: (*ISmithQueryServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "FindAll",
			Handler:    _ISmithQuery_FindAll_Handler,
		},
		{
			MethodName: "CheckWinner",
			Handler:    _ISmithQuery_CheckWinner_Handler,
		},
		{
			MethodName: "GetBalance",
			Handler:    _ISmithQuery_GetBalance_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "smith_query.proto",
}
